package com.mortals.xhx.module.dept.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.PostMapping;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.dept.model.DeptEntity;
import com.mortals.xhx.module.dept.model.DeptQuery;
import com.mortals.xhx.module.dept.service.DeptService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
/**
*
* 部门
*
* @author zxfei
* @date 2022-01-12
*/
@RestController
@RequestMapping("dept")
public class DeptController extends BaseCRUDJsonMappingController<DeptService,DeptForm,DeptEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DeptController(){
        super.setFormClass(DeptForm.class);
        super.setModuleDesc( "部门");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, DeptForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "isAutotable", paramService.getParamBySecondOrganize("Dept","isAutotable"));
        this.addDict(model, "isOrder", paramService.getParamBySecondOrganize("Dept","isOrder"));
        this.addDict(model, "isBkb", paramService.getParamBySecondOrganize("Dept","isBkb"));
        this.addDict(model, "isWorkGuide", paramService.getParamBySecondOrganize("Dept","isWorkGuide"));
        this.addDict(model, "usValid", paramService.getParamBySecondOrganize("Dept","usValid"));
        this.addDict(model, "isSecphone", paramService.getParamBySecondOrganize("Dept","isSecphone"));
        this.addDict(model, "isEnglish", paramService.getParamBySecondOrganize("Dept","isEnglish"));
        super.init(request, response, form, model, context);
    }




}